﻿/*************************************\
 *     Mausereignisse für Tasten     *
 *                                   *
 * Kapitel: Tastatur- und Maus-      *
 *           ereignisse              *
 * Zuordnung: C#-Buch V2.0 10.3      *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;
using System.Windows.Forms;

namespace CSV20.Mausereignisse_Tasten
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void label_MouseClick(object sender, MouseEventArgs e)
        {
            string sTaste = "";

            switch (e.Button)
            {
                case System.Windows.Forms.MouseButtons.Left:
                    sTaste = "linke Taste";
                    break;
                case System.Windows.Forms.MouseButtons.Right:
                    sTaste = "rechte Taste";
                    break;
                case System.Windows.Forms.MouseButtons.Middle:
                    sTaste = "mittlere Taste";
                    break;
                case System.Windows.Forms.MouseButtons.XButton1:
                    sTaste = "zusätzliche Taste 1";
                    break;
                case System.Windows.Forms.MouseButtons.XButton2:
                    sTaste = "zusätzliche Taste 2";
                    break;
            }

            MessageBox.Show("Sie haben " + e.Clicks + " Mal geklickt (" + sTaste + ")!");
        }
    }
}